| Home | Libraries | People | FAQ | More

# Chapter 11. Integer Utilities (Greatest Common Divisor and Least Common Multiple)

Table of Contents

Introduction
Synopsis
GCD Function Object
LCM Function Object
Run-time GCD & LCM Determination
Compile-time GCD and LCM determination
Header <boost/math/common_factor.hpp>
Demonstration Program
Rationale
History
Credits

Copyright © 2006-2010, 2012-2014 Nikhar Agrawal, Anton Bikineev, Paul A. Bristow, Marco Guazzone, Christopher Kormanyos, Hubert Holin, Bruno Lalande, John Maddock, Jeremy Murphy, Johan Råde, Gautam Sewani, Benjamin Sobotta, Thijs van den Berg, Daryle Walker and Xiaogang Zhang

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)